import { ColumnReqType, ColumnType } from './Api';
declare enum UITypes {
    ID = "ID",
    LinkToAnotherRecord = "LinkToAnotherRecord",
    ForeignKey = "ForeignKey",
    Lookup = "Lookup",
    SingleLineText = "SingleLineText",
    LongText = "LongText",
    Attachment = "Attachment",
    Checkbox = "Checkbox",
    MultiSelect = "MultiSelect",
    SingleSelect = "SingleSelect",
    Collaborator = "Collaborator",
    Date = "Date",
    Year = "Year",
    Time = "Time",
    PhoneNumber = "PhoneNumber",
    GeoData = "GeoData",
    Email = "Email",
    URL = "URL",
    Number = "Number",
    Decimal = "Decimal",
    Currency = "Currency",
    Percent = "Percent",
    Duration = "Duration",
    Rating = "Rating",
    Formula = "Formula",
    Rollup = "Rollup",
    Count = "Count",
    DateTime = "DateTime",
    CreatedTime = "CreatedTime",
    LastModifiedTime = "LastModifiedTime",
    AutoNumber = "AutoNumber",
    Geometry = "Geometry",
    JSON = "JSON",
    SpecificDBType = "SpecificDBType",
    Barcode = "Barcode",
    QrCode = "QrCode",
    Button = "Button",
    Links = "Links",
    User = "User",
    CreatedBy = "CreatedBy",
    LastModifiedBy = "LastModifiedBy"
}
export declare const UITypesName: {
    ID: string;
    LinkToAnotherRecord: string;
    ForeignKey: string;
    Lookup: string;
    SingleLineText: string;
    LongText: string;
    RichText: string;
    Attachment: string;
    Checkbox: string;
    MultiSelect: string;
    SingleSelect: string;
    Collaborator: string;
    Date: string;
    Year: string;
    Time: string;
    PhoneNumber: string;
    GeoData: string;
    Email: string;
    URL: string;
    Number: string;
    Decimal: string;
    Currency: string;
    Percent: string;
    Duration: string;
    Rating: string;
    Formula: string;
    Rollup: string;
    Count: string;
    DateTime: string;
    CreatedTime: string;
    LastModifiedTime: string;
    AutoNumber: string;
    Geometry: string;
    JSON: string;
    SpecificDBType: string;
    Barcode: string;
    QrCode: string;
    Button: string;
    Links: string;
    User: string;
    CreatedBy: string;
    LastModifiedBy: string;
};
export declare const numericUITypes: UITypes[];
export declare function isNumericCol(col: UITypes | {
    readonly uidt: UITypes | string;
} | ColumnReqType | ColumnType): boolean;
export declare function isVirtualCol(col: UITypes | {
    readonly uidt: UITypes | string;
} | ColumnReqType | ColumnType): boolean;
export declare function isCreatedOrLastModifiedTimeCol(col: UITypes | {
    readonly uidt: UITypes | string;
} | ColumnReqType | ColumnType): boolean;
export declare function isCreatedOrLastModifiedByCol(col: UITypes | {
    readonly uidt: UITypes | string;
} | ColumnReqType | ColumnType): boolean;
export declare function isHiddenCol(col: (ColumnReqType | ColumnType) & {
    system?: number | boolean;
}): boolean;
export declare function isLinksOrLTAR(colOrUidt: ColumnType | {
    uidt: UITypes | string;
} | UITypes | string): boolean;
export default UITypes;
