import { BoolType } from '../Api';
import UITypes from '../UITypes';
import { MysqlUi } from './MysqlUi';
import { OracleUi } from './OracleUi';
import { PgUi } from './PgUi';
export declare class SqlUiFactory {
    static create(connectionConfig: any): typeof MysqlUi | typeof PgUi | typeof OracleUi;
}
export type SqlUIColumn = {
    cn?: string;
    dt?: string;
    dtx?: string;
    ct?: string;
    nrqd?: BoolType;
    rqd?: BoolType;
    ck?: string;
    pk?: BoolType;
    un?: BoolType;
    ai?: BoolType;
    cdf?: string | any;
    clen?: number | any;
    np?: string;
    ns?: string;
    dtxp?: string;
    dtxs?: string;
    uidt?: UITypes;
    uip?: string;
    uicn?: string;
    altered?: number;
};
